Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity
Class TripleBasedEntitySim

    java.lang.Object
      fr.inrialpes.exmo.ontosim.entity.TripleBasedEntitySim

All Implemented Interfaces:
  Measure<Entity<com.hp.hpl.jena.ontology.OntResource>>

    public class TripleBasedEntitySim

extends Object
implements Measure<Entity<com.hp.hpl.jena.ontology.OntResource>>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`(package private) Collection<com.hp.hpl.jena.rdf.model.Model>` | `currentModels`
`(package private) IterativeNodeSim` | `currentSim`
`(package private) Measure<String>` | `ssim`

Constructor Summary
`TripleBasedEntitySim()`
`TripleBasedEntitySim(Measure<String> ssim)`

Method Summary
`double` | `getDissim(Entity<com.hp.hpl.jena.ontology.OntResource> e1, Entity<com.hp.hpl.jena.ontology.OntResource> e2)`
`double` | `getMeasureValue(Entity<com.hp.hpl.jena.ontology.OntResource> e1, Entity<com.hp.hpl.jena.ontology.OntResource> e2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(Entity<com.hp.hpl.jena.ontology.OntResource> e1, Entity<com.hp.hpl.jena.ontology.OntResource> e2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentSim

    IterativeNodeSim currentSim

### currentModels

    Collection<com.hp.hpl.jena.rdf.model.Model> currentModels

### ssim

    Measure<String> ssim

Constructor Detail

### TripleBasedEntitySim

    public TripleBasedEntitySim()

### TripleBasedEntitySim

    public TripleBasedEntitySim(Measure<String> ssim)

Method Detail

### getDissim

    public double getDissim(Entity<com.hp.hpl.jena.ontology.OntResource> e1,
                            Entity<com.hp.hpl.jena.ontology.OntResource> e2)

  Specified by:
    `getDissim` in interface `Measure<Entity<com.hp.hpl.jena.ontology.OntResource>>`

### getMType

    public Measure.TYPES getMType()

  Specified by:
    `getMType` in interface `Measure<Entity<com.hp.hpl.jena.ontology.OntResource>>`

### getMeasureValue

    public double getMeasureValue(Entity<com.hp.hpl.jena.ontology.OntResource> e1,
                                  Entity<com.hp.hpl.jena.ontology.OntResource> e2)

  Specified by:
    `getMeasureValue` in interface `Measure<Entity<com.hp.hpl.jena.ontology.OntResource>>`

### getSim

    public double getSim(Entity<com.hp.hpl.jena.ontology.OntResource> e1,
                         Entity<com.hp.hpl.jena.ontology.OntResource> e2)

  Specified by:
    `getSim` in interface `Measure<Entity<com.hp.hpl.jena.ontology.OntResource>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009